Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.svcorch
Interface CheckCondition

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FlowNode, Node, org.eclipse.emf.common.notify.Notifier

    public interface CheckCondition

extends FlowNode

A representation of the model object 'Check Condition'.

The following features are supported:

- `Then Node`
- `Else Node`
- `Input`

See Also:
  `SvcorchPackage.getCheckCondition()`

Method Summary
`Node` | `getElseNode()` Returns the value of the 'Else Node' reference
`org.eclipse.emf.common.util.EList<DataSlot>` | `getInput()` Returns the value of the 'Input' reference list.
`Node` | `getThenNode()` Returns the value of the 'Then Node' reference
`void` | `setElseNode(Node value)` Sets the value of the '`Else Node`' reference
`void` | `setThenNode(Node value)` Sets the value of the '`Then Node`' reference

Methods inherited from interface it.csi.mddtools.svcorch.Node
`getDescription, getName, setDescription, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getThenNode

    Node getThenNode()

  Returns the value of the 'Then Node' reference.

  If the meaning of the 'Then Node' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Then Node' reference.
  See Also:
    `setThenNode(Node)`, `SvcorchPackage.getCheckCondition_ThenNode()`

### setThenNode

    void setThenNode(Node value)

  Sets the value of the '`Then Node`' reference.

  Parameters:
    `value` - the new value of the 'Then Node' reference.
  See Also:
    `getThenNode()`

### getElseNode

    Node getElseNode()

  Returns the value of the 'Else Node' reference.

  If the meaning of the 'Else Node' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Else Node' reference.
  See Also:
    `setElseNode(Node)`, `SvcorchPackage.getCheckCondition_ElseNode()`

### setElseNode

    void setElseNode(Node value)

  Sets the value of the '`Else Node`' reference.

  Parameters:
    `value` - the new value of the 'Else Node' reference.
  See Also:
    `getElseNode()`

### getInput

    org.eclipse.emf.common.util.EList<DataSlot> getInput()

  Returns the value of the 'Input' reference list. The list contents are of type `DataSlot`.

  If the meaning of the 'Input' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Input' reference list.
  See Also:
    `SvcorchPackage.getCheckCondition_Input()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD